LLVM-PROFDATA(1)

NAME
llvm-profdata - Profile data tool

SYNOPSIS

llvm-profdata command [args...]

DESCRIPTION

The llvm-profdata tool is a small utility for working with profile data files.

COMMANDS

•   merge

•   show

MERGE

  SYNOPSIS

llvm-profdata merge [options] [filenames...]

  DESCRIPTION

llvm-profdata merge takes several profile data files generated by PGO instrumentation and merges them together into a single indexed profile data file.

  OPTIONS

-help
    Print a summary of command line options.

-output=output, -o=output
    Specify the output file name. Output cannot be - as the resulting indexed profile data can't be written to standard output.

-instr (default)
    Specify that the input profile is an instrumentation-based profile.

-sample
    Specify that the input profile is a sample-based profile. When using sample-based profiles, the format of the generated file can be generated in one of three ways:

-binary (default)

    Emit the profile using a binary encoding.

-text

    Emit the profile in text mode.

-gcc

    Emit the profile using GCC's gcov format (Not yet supported).

SHOW

  SYNOPSIS

llvm-profdata show [options] [filename]

  DESCRIPTION

llvm-profdata show takes a profile data file and displays the information about the profile counters for this file and for any of the specified function(s).

If filename is omitted or is -, then llvm-profdata show reads its input from standard input.

  OPTIONS

-all-functions
    Print details for every function.

-counts
    Print the counter values for the displayed functions.

-function=string
    Print details for a function if the function's name contains the given string.

-help
    Print a summary of command line options.

-output=output, -o=output
    Specify the output file name. If output is - or it isn't specified, then the output is sent to standard output.

-instr (default)
    Specify that the input profile is an instrumentation-based profile.

-sample
    Specify that the input profile is a sample-based profile.

EXIT STATUS

llvm-profdata returns 1 if the command is omitted or is invalid, if it cannot read input files, or if there is a mismatch between their data.

AUTHOR
Maintained by The LLVM Team (http://llvm.org/).

COPYRIGHT
2003-2015, LLVM Project